<!-- *******************  输入框  *******************  -->
<template>
	<view>
		<view class="list u-flex u-row-between">
			<image class="item-image" :src="mixingImage" v-if="item.required"></image>
			<view class="u-m-r-20 title-text">{{item.fieldsTitle}}</view>
			<view class="u-flex-1 location-name" >{{valueTxt}}</view>
		</view>
	</view>
</template>

<script>
	import stringMixin from './stringMixin'
	export default {
		name: 'XhInput', // 新建 input
		components: {},
		mixins: [stringMixin],
		props: {
			placeholder: {
				type: String,
				default: '请输入'
			},

		},
		data() {
			return {
				maxlength: 140,
			}
		},
		computed: {
			valueTxt() {
				let str = '元'
				const dataValue = this.dataValue
				if(dataValue > 0){
					str = dataValue + str
				}
				return str
			},
			mixingImage() {
				return process.uniEnv.qn_base_url + 'mixing.png'
			}
		},
		watch: {},
		mounted() {
		},
		methods: {
		}
	}
</script>

<style scoped>
	.required {
		padding-right: 10rpx;
		font-size: 28rpx;
		line-height: 40rpx;
		color: #fa3534;
	}
	.title-text {
		font-size: 26rpx;
		color: #333333;
	}
	.item-image {
		width: 24rpx;
		height: 24rpx;
		margin-right: 10rpx;
	}
	.location-name {
		color: #333333;
		font-size: 26rpx;
		text-align: right;
	}
	.location {
		background: #F4F5F7;
		padding: 10rpx 20rpx;
		border-radius: 12rpx;
	}
</style>
